#!/bin/sh -e

ADDR_RANGE_START="$1"
ADDR_RANGE_END="$2"
LEASE_TIME="$3"
INTERFACE="$4"

CON_NAME="abos_web_dhcp_$INTERFACE"
DHCP_CONF="/etc/dnsmasq.d/$CON_NAME.conf"

trap catch ERR

catch() {
	if [ -e "$DHCP_CONF" ]; then
		persist_file -d "$DHCP_CONF"
		rc-service dnsmasq restart
	fi

	echo "Could not set up dhcp." >&2
}

rm -f "$DHCP_CONF"
echo "interface=$INTERFACE" >> "$DHCP_CONF"
echo "bind-dynamic" >> "$DHCP_CONF"
echo "dhcp-range=tag:$INTERFACE, $ADDR_RANGE_START, $ADDR_RANGE_END, $LEASE_TIME" >> "$DHCP_CONF"
persist_file "$DHCP_CONF"
rc-service dnsmasq restart
